import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;

public class GameObject {
	Image img;
	int x,y;
	int width,height;
	int speed;
	
	public void drawSelf(Graphics g) {
		g.drawImage(img, x,y,null);
	}
	
	public GameObject() {
		super();
	}

	public GameObject(Image img, int x, int y) {
		super();
		this.img = img;
		this.x = x;
		this.y = y;
	}

	public GameObject(Image img, int x, int y, int width, int height, int speed) {
		super();
		this.img = img;
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
		this.speed = speed;
	}
	
	public Rectangle getRect() {
		return new Rectangle(x,y,width,height);
	}
}
